#!/bin/bash
#
# call_mail_ret.sh
#
# send mail with attachments (mailreports)
#
# usage: call_mail_ret.sh <address> <cc> <returnaddr> <subject> <bodyfile> <attachments>
###################################################################################
#
MAIL=`which mail`
if [[ -n "$MAIL" ]]
 then
  MAILPRG=`readlink -e "$MAIL"`
  if [[ "$MAILPRG" == *mailx* && "$MAILPRG" != *bsd-mailx ]]
   then
    if [[ -n "$2" ]]
     then
      if [[ -n "$3" ]]
       then
        eval 'mail -c "$2" -r "$3" -s "$4" '"$6"' "$1" <"$5"'
      else
        eval 'mail -c "$2" -s "$4" '"$6"' "$1" <"$5"'
      fi
    elif [[ -n "$3" ]]
     then
      eval 'mail -r "$3" -s "$4" '"$6"' "$1" <"$5"'
    else
      eval 'mail -s "$4" '"$6"' "$1" <"$5"'
    fi
  else
    if [[ -n "$2" ]]
     then
      eval 'mail -c "$2" -s "$4" "$1" <"$5"'
    else
      eval 'mail -s "$4" "$1" <"$5"'
    fi
  fi
else
  echo "ERROR: program 'mail' not found."
fi
