BEGIN {t=""; mi=0; wf=0}

NF <= 2 { e[$1] = $2
          f[mi++] = $1
          w[$1] = ""
}

NF > 2 { if( t != $1 )
         { if( wf )
           { printf("%s", t);
             for( i = 0; i < mi; i++ )
             { if( e[f[i]] ~ "^_|^[[]_" && w[f[i]] )
                 printf("|%%tt %s%%/tt", w[f[i]])
               else
                 printf("|%s", w[f[i]])
               w[f[i]] = ""
             }
             printf("\n")
           }
           t = $1
         }
         if( e[$2] ~ "^_|^[[]_" )
         { gsub(" ", "\\ ", $3)
           gsub("%n\\\\ ", "%n ", $3)
         }
         else if( e[$2] == "BLOB" )
         { if( ! REPORTSID )
           { fnn = split($3, fna, ".")
             if( fna[fnn] ~ /^gz$|^bz2$|^xz$/ && fna[fnn-1] ~ /^csv$|^cfg$|^conf$|^text$|^txt$|^html$|^log$|^sql$|^par$/ )
             { gsub("."fna[fnn]"$", "", $3)
               $3 = "%hlink(get_bwert.s3w?uncompress=1&id=" $4 ", \"" $3 "\", _blank)%hlink(get_bwert.s3w?id=" $4 ", \"." fna[fnn] "\", _blank)"
             }
             else
               $3 = "%hlink(get_bwert.s3w?id=" $4 ", \"" $3 "\", _blank)"
           }
         }
         else if( e[$2] == "IMAGE" )
         { if( REPORTSID )
             $3 = "%image(get_bwert.s3w?reportsid=" REPORTSID "&id=" $4 ")"
           else
             $3 = "%image(get_bwert.s3w?id=" $4 ")"
         }
         if( w[$2] != "" )
         { if( e[$2] == "_N" || e[$2] == "[N]" )
             w[$2] = w[$2] "%n%n " $3
           else
             w[$2] = w[$2] "%n " $3
         }
         else
           w[$2] = $3
         wf = 1
       }

END { if( wf )
      { printf("%s", t);
        for( i = 0; i < mi; i++ )
        { if( e[f[i]] ~ "^_|^[[]_" && w[f[i]] )
            printf("|%%tt %s%%/tt", w[f[i]])
          else
            printf("|%s", w[f[i]])
        }
        printf("\n")
      }
    }
