#!/bin/bash
#
WD=`dirname $0`
if [[ -f $WD/../database.conf ]]
 then
  . $WD/../database.conf
fi
MYSQL="$WD/mysql_sql -Q \\\\$%& -s ${LOGGINGLESENHOST:-localhost} -u logginglesen -p $LOGGINGLESENPWD"
#
# Aufruf:
# loggingout_dat.sh <wids> <lwids> <VBSQL> <zwids> <swids> <bwids> <cwids> <pwids>
#                     1       2       3       4       5       6       7       8
#                   <twids> <wfilter> <wzfilter> <zfilter> <userid> <kwids>
#                      9        10        11         12       13      14
#                   <von> <bis>
#                     15   16
#
#
WD=`dirname $0`
CV=""
( $MYSQL -c '\1' "select werteindizes.ID, einheiten.name from einheiten, teststepdetails, werteindizes where find_in_set(werteindizes.ID, '$1') and teststepdetailsID=teststepdetails.ID and einheiten.ID=einheitID order by find_in_set(werteindizes.ID, '$1')"
  $MYSQL -c '\1' "select concat('k', kombidetails.ID), einheiten.name from kombidetails, teststepdetails, einheiten where find_in_set(kombidetails.ID, '${14}') and teststepdetails.ID=teststepdetailsID and einheiten.ID=einheitID order by find_in_set(kombidetails.ID, '${14}')"
  $MYSQL -c '\1' "select concat('l', l.ID), (select if(e.name in ('IMAGE','BLOB'),'',e.name) from einheiten as e where e.ID=if(g.einheitenID>0,g.einheitenID,einheitID)) from lwerteindizes as l, teststepdetails as t, groupfunctions as g where find_in_set(l.ID, '$2') and t.ID=teststepdetailsID and g.ID=groupfunctionsID order by find_in_set(l.ID, '$2')"
  QUERY=
  U=
  if [ ! -z "$4" ]
   then
    QUERY="select datum, werteindizesID, wert, 1 as ID from zwerte where werteindizesID in ($4) $3 ${11} ${12}"
    U=" union all "
  fi
  if [ ! -z "$5" ]
   then
    QUERY="$QUERY${U}
select datum, werteindizesID, wert, ID from swerte where werteindizesID in ($5) $3 ${10} ${12}"
    U=" union all "
  fi
  if [ ! -z "$6" ]
   then
    QUERY="$QUERY${U}
select datum, werteindizesID, dateiname as wert, ID from bwerte where werteindizesID in ($6) $3 ${10} ${12}"
    U=" union all "
  fi
  if [ ! -z "$7" ]
   then
    QUERY="$QUERY${U}
select datum, werteindizesID, wert, 1 as ID from cwerte where werteindizesID in ($7) $3 ${11} ${12}"
    U=" union all "
  fi
  if [ ! -z "$8" ]
   then
    QUERY="$QUERY${U}
select datum, werteindizesID, wert, 1 as ID from pwerte where werteindizesID in ($8) $3 ${11} ${12}"
    U=" union all "
  fi
  if [ ! -z "$9" ]
   then
    QUERY="$QUERY${U}
select datum, werteindizesID, wert, ID from twerte where werteindizesID in ($9) $3 ${10} ${12}"
    U=" union all "
  fi
  if [ ! -z "${14}" ]
   then
    for i in `echo ${14} | sed 's/,/ /g'`
     do
      for j in `$MYSQL "select constvars from kombidetails where ID='$i'"`
       do
        M=`echo $j | cut -d : -f 1`
        W=`echo $j | cut -d : -f 2`
        CV="${CV}select getwertvb('$W', '${15:-0001-01-01 00:00:00}', '${16:-9999-12-31 23:59:59}', '$M') into @$M$W;"
      done
      WID=`$MYSQL "select firstdetwiID from kombidetails where ID='$i'"`
      F="`$MYSQL \"select formelsql from kombidetails where ID='$i'\"`"
      STR=`$MYSQL "select stringflag from kombidetails where ID='$i'"`
      WTAB=`$MYSQL "select wtab from werteindizes, teststepdetails, einheiten where werteindizes.ID='$WID' and teststepdetails.ID=teststepdetailsID and einheiten.ID=einheitID"`
      if [[ "$STR" != "0" ]]
       then
        QUERY="$QUERY${U}
select datum, 'k$i', $F as wert, 1 as ID from $WTAB where werteindizesID='$WID' $3"
      else
        R=`$MYSQL "select max(length(0+(replace(wert,'.','')))) from $WTAB where werteindizesID=$WID $3"`
        QUERY="$QUERY${U}
select datum, 'k$i', sround((select $F), $R), 1 as ID from $WTAB where werteindizesID='$WID' $3"
      fi
      U=" union all "
    done
  fi
  if [ ! -z "$2" ]
   then
    QUERY="$QUERY${U}
select datum, concat('l', lwerteindizesID), wert, 1 as ID from lwerte where lwerteindizesID in ($2) $3 ${10} ${12} union all select datum, concat('l', lwerteindizesID), wert, 1 as ID from mwerte where lwerteindizesID in ($2) $3 ${10} ${12}"
  fi
  $MYSQL -c '\1' -Q '\\\\|%$&' -n '%n ' "$CV$QUERY order by datum desc, ID"
) | awk -v REPORTSID=${13} -F '\1' -f $WD/loggingout.awk | sed 's/\xff/\&yuml;/g'
