# -------------------------------------------------------------------
# gnuplot pre execution script
#
# -------------------------------------------------------------------
# begin of installation specific basic settings
#
# enable macros
set macros
# define line style 1
#set style line 1 lc rgb '#0060ad' lt 1 lw 2 pt 5   # blue
# set the macro BLUE to line style 1
#BLUE = "1"
# Use "lines ls @BLUE" as plotstyle in 'edit units'

# my linewidth
LW="1"

# color schemes perhaps from http://tools.medialab.sciences-po.fr/iwanthue/

# set style line 1 lt rgb "violet" lw 1 pt 7 ps 2
#
# self chosen from named html colors
# Dodger Blue
set style line 1  linecolor rgbcolor "#1E90FF" linewidth @LW
# Lime Green
set style line 2  linecolor rgbcolor "#32CD32" linewidth @LW
# Magenta
set style line 3  linecolor rgbcolor "#FF00FF" linewidth @LW
# Chocolate
# set style line 4  linecolor rgbcolor "#D2691E" linewidth @LW
# Sienna
# set style line 4  linecolor rgbcolor "#A0522D" linewidth @LW
# Darkorange
set style line 4 linecolor rgbcolor "#FF8C00" linewidth @LW
# yellow
set style line 5  linecolor rgbcolor "#E0E034" linewidth @LW
# Blue Violet
set style line 6  linecolor rgbcolor "#8A2BE2" linewidth @LW
# Silver (W3C)
set style line 7  linecolor rgbcolor "#C0C0C0" linewidth @LW
# Red
set style line 8  linecolor rgbcolor "#FF0000" linewidth @LW
# Light Sky Blue
set style line 9  linecolor rgbcolor "#87CEFA" linewidth @LW
# Green (W3C)
set style line 10 linecolor rgbcolor "#008000" linewidth @LW
# Plum
set style line 11 linecolor rgbcolor "#DDA0DD" linewidth @LW
# Goldenrod
# set style line 12 linecolor rgbcolor "#DAA520" linewidth @LW
# Darkorange
# set style line 12 linecolor rgbcolor "#FF8C00" linewidth @LW
# Sienna
set style line 12 linecolor rgbcolor "#A0522D" linewidth @LW
# GreenYellow
set style line 13 linecolor rgbcolor "#ADFF2F" linewidth @LW
# Deep Pink
set style line 14 linecolor rgbcolor "#FF1493" linewidth @LW
# SlateGray
set style line 15 linecolor rgbcolor "#708090" linewidth @LW

# Step through my user-defined line styles rather than through the default linetypes.
set style increment user

# utf8 is supported by pngcairo
set encoding utf8
#pngcairo is available#set encoding iso_8859_15

# MYBLACK="#808080"
#
# does not work in 
# set border linecolor rgb @MYBLACK
# using direct color definition again.

# dark grey for border
set border  linecolor rgb "#808080"
# light grey for the grid
set grid xtics ytics lt 1 linecolor rgb "#E0E0E0"
# title of graph
set title   textcolor rgb "#000000"
# axis tic values
set xtics   textcolor rgb "#000000"
set ytics   textcolor rgb "#000000"
set y2tics  textcolor rgb "#000000"
# axis description
set xlabel  textcolor rgb "#000000"
set ylabel  textcolor rgb "#000000"
set y2label textcolor rgb "#000000"
# (=legend), text
set key     textcolor rgb "#000000"

# end of installation specific basic settings
# -------------------------------------------------------------------

