#!/bin/bash
#
# get_uls_dir.sh
#
# get path for ULS
#
##################
#
ULSDIR=""
if [ -f /etc/unix2web/uls.conf ]
 then
  ULSDIR="$U2WHOME"
fi
if [ -z "$ULSDIR" ]
 then
  if [ -d /srv/uls ]
   then
    echo "/srv/uls"
  elif [ -d /usr/local/uls ]
   then
    echo /usr/local/uls
  else
    exit 1
  fi
else
  dirname $ULSDIR
fi
