set @@character_set_client = 'utf8';

delimiter //

DROP PROCEDURE IF EXISTS prepgrouplimits//
create procedure prepgrouplimits()
deterministic
sql security invoker
begin
  prepare gls from '
     select concat(lt, ID, \':"\', n, \': \',
              replace(if(rem = \'\' OR nl = 1, dcsst, replace(left(rem, if(nl>0, least(nl-1, 30), 30)), \'\\\\\', \'\\\\\\\\\')), \'"\', \'\\\'\'),
              \'":"\', replace(concat(dcsst, \'\\n\', replace(rem, \'\\\\\', \'\\\\\\\\\')), \'"\', \'&quot;\'), \'"\') as l
     from ( select \'L\' as lt, ID, \'limit\' as n, bemerkungen as rem, locate(\'\\n\', bemerkungen) as nl,
             concat(showreg(domain, domain_v), \'|\', showreg(classes, classes_v), \'|\',
                    showreg(server, server_v), \'|\', showreg(section, section_v), \'|\',
                    showreg(teststep, teststep_v)) as dcsst
           from gautolimits where groupID = @groupid
         union all
         select \'I\' as lt, ID, \'isalive\' as n, bemerkungen as rem, locate(\'\\n\', bemerkungen) as nl,
             concat(showreg(domain, domain_v), \'|\', showreg(classes, classes_v), \'|\',
                    showreg(server, server_v), \'|\', showreg(section, section_v), \'|\',
                    showreg(teststep, teststep_v)) as dcsst
           from gautoisalive where groupID = @groupid
         union all
         select \'C\' as lt, ID, \'combilimit\' as n, bemerkungen as rem, locate(\'\\n\', bemerkungen) as nl,
             concat(showreg(domain, domain_v), \'|\', showreg(classes, classes_v), \'|\',
                    showreg(server, server_v), \'|\', showreg(section, section_v), \'|\',
                    showreg(teststep, teststep_v)) as dcsst
           from gautocombilimits where groupID = @groupid
         order by find_in_set(lt, \'L,I,C\'), rem) as limits';
end//

GRANT EXECUTE on PROCEDURE prepgrouplimits to logginglesen@'localhost'//
