set @@character_set_client = 'utf8';

delimiter //

DROP PROCEDURE IF EXISTS preplimgrpdeststmt//
create procedure preplimgrpdeststmt()
deterministic
sql security invoker
begin
  prepare vmz from '
     select concat(meldungsziele.ID, \':"\', meldungszielarten.name, \':\', kurzname,
                   \'":"\', replace(replace(ziel, \',\', \', \'), \'"\', \'&quot;\'), \'"\') as oc
     from meldungsziele
     join meldungszielarten
       on meldungszielarten.ID = meldungszielartenID and NOT meldungszielarten.sendstatuschange
     left join gruppenmeldziele as gm
       on gm.meldzielID = meldungsziele.ID and gm.gruppenID = @groupid
     left join utttarget
       on utttarget.groupID = @groupid and utttarget.ID = meldungsziele.ID
         and utttarget.disabled = \'0\'
     where gm.meldzielID is not null or utttarget.ID is not null
       or meldungsziele.ID = @showid
     group by meldungsziele.ID
     order by meldungszielarten.name, kurzname';
end//

GRANT EXECUTE on PROCEDURE preplimgrpdeststmt to logginglesen@'localhost'//
