set @@character_set_client = 'utf8';

-- Tabellen domstat und domstats bereinigen


delimiter //

DROP procedure IF EXISTS cleandomstats//
create procedure cleandomstats()
  deterministic
  sql security invoker
 begin

  delete domstat
    from domstat
    left join verfahren on verfahren.ID = verfahrenID
    where verfahren.ID is NULL;  

  delete domstats
    from domstats
    left join werteindizes using(serverID, sectionID, teststepID, teststepdetailsID, accessID)
    left join lwerteindizes using(serverID, sectionID, teststepID, teststepdetailsID, accessID)
    where domstats.teststepdetailsID and werteindizes.serverID is NULL and lwerteindizes.serverID is NULL;

  delete domstats
    from domstats
    left join werteindizes using(serverID, sectionID, teststepID, accessID)
    where domstats.teststepdetailsID = 0 and werteindizes.serverID is NULL;

end//
