set @@character_set_client = 'utf8';

delimiter //

DROP FUNCTION IF EXISTS getewertvb//
create function getewertvb(wid integer, von datetime(6), bis datetime(6), mode varchar(12))
                  returns varchar(300)
deterministic
sql security invoker
begin
  declare i integer;
  declare e, w varchar(100);

  select coalesce(wert,lastwert) from twerte, letztewerte
    where werteindizesID = wid and datum >= von and letztewerte.ID = wid
  limit 1 into e;
  set i = instr(e, ' ');
  if i > 0 then
    set e = substr(e, i+1);
    set w = getewertvbextfilteru(wid, von, bis, mode, '00:00:00', '23:59:59', '',
              '', '', '', '', '',  '', '', '', '', '', '', e);
    if w = '' OR mode = 'count' OR mode like 'last/avg%' then
      return w;
    elseif mode = 'grad' then
      return concat(w, ' ', e, '/h');
    elseif mode = 'accel' then
      return concat(w, ' ', e, '/h²');
    else
      return concat(w, ' ', e);
    end if;
  else
    return '';
  end if;

end//

GRANT EXECUTE on FUNCTION getewertvb to logginglesen@'localhost', loggingtest@'localhost', loggingadmin@'localhost'//
