set @@character_set_client = 'utf8';

-- combined details
-- combined limits
-- limits_list
-- test_limits

delimiter //

DROP FUNCTION IF EXISTS grouppwert//
create function grouppwert(wid integer, back varchar(10), mode varchar(12))
                          returns varchar(30)
  deterministic
  sql security invoker
  begin
    declare anz integer;
    declare vondat, bisdat datetime;

    set anz = back + 0;
    select greatest(now(), lastdatum) from letztewerte where ID=wid into bisdat;
    case right(back, 1)
      when 'm' then
        set vondat = bisdat - interval anz minute;
      when 'h' then
        set vondat = bisdat - interval anz hour;
      when 'd' then
        set vondat = bisdat - interval anz day;
      else
        return modepwert(wid, back, mode);
    end case;
    return getpwertvb(wid, vondat, bisdat, mode);
end//

GRANT EXECUTE on FUNCTION grouppwert to logginglesen@'localhost', loggingtest@'localhost'//
