set @@character_set_client = 'utf8';

delimiter //
DROP FUNCTION IF EXISTS strenum//
create function strenum(s varchar(200)) returns varchar(200)
  deterministic
  sql security invoker
  begin
    declare i,l integer;

    set i = 1;
    set l = char_length(s);
    while i <= l
     do
      if '0' <= substring(s,i,1) && substring(s,i,1) <= '9' then
        return substring(s,i);
      end if;
      set i = i+1;
    end while;
    return '0';
  end//

grant EXECUTE on FUNCTION strenum to logginglesen@'localhost', 'loggingadmin'@'localhost'//
