set @@character_set_client = 'utf8';

delimiter //
DROP FUNCTION IF EXISTS trimdate//
create function trimdate(d datetime(6)) returns varchar(30)
  deterministic
  sql security invoker
  begin

    if d like '%.%' then
      return trim(trailing '.' from trim(trailing '0' from d));
    else
      return d;
    end if;
  end//

grant EXECUTE on FUNCTION trimdate to logginglesen@'localhost', 'loggingadmin'@'localhost'//
