set @@character_set_client = 'utf8';

select lfnr from zeitraum where code = 'year' into @lfi;
update zeitraum set lfnr = lfnr + 1 where lfnr > @lfi;
update zeitraum set lfnr = lfnr + 1 where lfnr >= @lfi;

select max(textID) + 1 from texte into @ti;

insert into texte
  (textID, lang, text, bemerkung)
 values
  (@ti, 'de', 'dieses Jahr', 'zeitraum - text'),
  (@ti, 'en', 'this year', 'zeitraum - text'),
  (@ti+1, 'de', 'letztes Jahr', 'zeitraum - text'),
  (@ti+1, 'en', 'last year', 'zeitraum - text');

insert into zeitraum (code, lfnr, beschreibungID, textID)
 values
 ('thisyear', @lfi, @ti, @ti),
 ('lastyear', @lfi+2, @ti+1, @ti+1);
