-- Berechtigungen bereinigen
use mysql;

delete columns_priv
  from columns_priv
  left join information_schema.columns as i
    on i.TABLE_SCHEMA = columns_priv.Db and i.TABLE_NAME = columns_priv.Table_name and i.COLUMN_NAME = columns_priv.Column_name
  where i.TABLE_SCHEMA is NULL;

create temporary table loggingtmp.rights
  select user, host from db where Execute_priv = 'Y' AND Db = 'logging';
delete procs_priv
  from procs_priv
  join loggingtmp.rights
    on rights.host = procs_priv.Host and rights.user = procs_priv.User;


flush privileges;
