set @@character_set_client = 'utf8';

alter table ausgaben
  add showelements varchar(110) not null default '' after zeitraumflag;

-- tgrpsel   groups
-- tdomsel   domains
-- tclasel   class
-- tsstsel   server, section, teststep
-- tdsel     detail, unit, hide on empty
-- dpdom     print server with domainnam
-- tsep      separate by
-- tpbreaks  pagebreaks
-- tperiod   periods
-- tchart    chartsize and style
-- tnum      displaynum
-- tgroup    group by
-- tdsort    detailsort
-- tcsort    linesort by columns
-- techart   extended plotstyle
-- tetime    time and weekday
-- tefilter  filter
-- telast    last values
-- tbars     width, minwidth bei mybars, groupbars, levelsort
-- tmybars   limittypes, hideok
-- tgbars    limitgroups, base, shortclass, stripdoms

update ausgaben set showelements = 'tgrpsel,tdomsel,tclasel,tsstsel,tdsel,tsep,tpbreaks,tperiod,tnum,tdsort,tcsort,tetime,tefilter'
  where find_in_set(code, 'table');
update ausgaben set showelements = 'tgrpsel,tdomsel,tclasel,tsstsel,tdsel,tsep,tpbreaks,tperiod,tdsort,tcsort,tetime,tefilter'
  where reportflag = '1' and code like '%csv';
update ausgaben set showelements = 'tgrpsel,tdomsel,tclasel,tsstsel,tdsel,tsep,tpbreaks,tperiod,tnum,tdsort,tchart,techart,tetime,tefilter'
  where find_in_set(code, 'chart');
update ausgaben set showelements = 'tgrpsel,tdomsel,tclasel,tsstsel,tdsel,tsep,tpbreaks,tperiod,tnum'
  where find_in_set(code, 'animate');
update ausgaben set showelements = 'tgrpsel,tdomsel,tclasel,tsstsel,tdsel,tsep,tpbreaks,tperiod,tnum,tdsort,tgroup,tpdom,tetime,tefilter,telast'
  where find_in_set(code, 'last,min,max,avg,dev,sum,max-min,last-first,count,grad,accel,first');
update ausgaben set showelements = 'tgrpsel,tdomsel,tclasel,tsstsel,tdsel,tsep,tpbreaks,tperiod,tnum,tdsort,tchart,tetime'
  where find_in_set(code, 'histogram,histmin,histmax,histavg,histdev,histsum,histmax-min,histlast-first,histcount,histgrad');
update ausgaben set showelements = 'tgrpsel,tdomsel,tclasel,tsstsel,tdsel,tsep,tpbreaks,tperiod'
  where reportflag = '1' and code like 'lst%';
update ausgaben set showelements = 'tgrpsel,tdomsel'
  where find_in_set(code, 'suspensions');
update ausgaben set showelements = 'tgrpsel,tdomsel,tclasel,tsstsel,tbars,tmybars'
  where find_in_set(code, 'mybars');
-- update ausgaben set showelements = 'tgrpsel,tdomsel,tclasel,tbars,tgbars'
--  where find_in_set(code, 'groupbars');
update ausgaben set showelements = 'tgrpsel,tdomsel,tclasel,tsstsel,tdsel,tperiod'
  where find_in_set(code, 'mylimits,myisalive,mykombilimits,myllimits,myalllimits');
