set @@character_set_client = 'utf8';


create table domstat (
  verfahrenID int unsigned not null default '0',
  accessID   int unsigned not null default '1',
  TS datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  workerid int unsigned NOT NULL DEFAULT 0,
  PRIMARY KEY (verfahrenID, accessID)
);


create table domstats (
  serverID          int unsigned not null default '0',
  sectionID         int unsigned not null default '0',
  teststepID        int unsigned not null default '0',
  teststepdetailsID int unsigned not null default '0',
  accessID          int unsigned not null default '1',
  verfahrenID       int unsigned not null default '0',
  numlok            int unsigned not null default '0',
  numlinfo          int unsigned not null default '0',
  numlwarn          int unsigned not null default '0',
  numlerror         int unsigned not null default '0',
  numiok            int unsigned not null default '0',
  numiinfo          int unsigned not null default '0',
  numiwarn          int unsigned not null default '0',
  numierror         int unsigned not null default '0',
  numcok            int unsigned not null default '0',
  numcinfo          int unsigned not null default '0',
  numcwarn          int unsigned not null default '0',
  numcerror         int unsigned not null default '0',
  numclok           int unsigned not null default '0',
  numclinfo         int unsigned not null default '0',
  numclwarn         int unsigned not null default '0',
  numclerror        int unsigned not null default '0',
  primary key(serverID, sectionID, teststepID, teststepdetailsID, accessID),
  key verfahrenID(verfahrenID, accessID)
);



grant select, insert, update, delete on `logging`.`domstat` to 'logginglesen'@'localhost';
grant select, insert, update, delete on `logging`.`domstats` to 'logginglesen'@'localhost';
