set @@character_set_client = 'utf8';

alter table user
  modify flags set('menu','bredcrum','username', 'domain', 'server', 'section', 'teststep')
    NOT NULL DEFAULT 'menu,bredcrum',
  add passwordhash varchar(64) not null default '' after password;

alter table pwdhistory
  modify `password` varchar(41) NOT NULL default '',
  add passwordhash varchar(64) not null default '' after password,
  drop key `userID`,
  add UNIQUE KEY `userID` (`userID`, `passwordhash`, `password`);

GRANT UPDATE(passwordhash) on `logging`.`user` to 'logginglesen'@'localhost';
