#!/bin/bash
#
# cat_data.sh
################################
#
WD=`dirname $0`
if [[ -f $WD/../database.conf ]]
 then
  . $WD/../database.conf
fi
MYSQL="$WD/mysql_sql -b -s ${LOGGINGLESENHOST:-localhost} -u logginglesen -p $LOGGINGLESENPWD"
#
case "$2" in
  gz)  $MYSQL "select daten from daten where ID='$1'" | gunzip -c;;
  bz2) $MYSQL "select daten from daten where ID='$1'" | bunzip2 -c;;
  xz)  $MYSQL "select daten from daten where ID='$1'" | unxz -c;;
esac
