#!/bin/bash
#
# get_report_attachments.sh
#
# read all attachments for one report
#
# usage: get_report_attachments.sh <url> <attachmentpath> <reportsid>
#####################################################################
#
ULSREPUSER=doreport
ULSREPPWD=getreport
ULSREPHOST=ulsap:11975
#
if cd $2
 then
  httpget -s -u "$ULSREPUSER" -p "$ULSREPPWD" $ULSREPHOST "$1" | while read id fn
   do
    httpget -q -f "$fn" -u "$ULSREPUSER" -p "$ULSREPPWD" $ULSREPHOST "get_bwert.s3w?reportsid=$3&id=$id"
    if [[ -s "$fn" ]]
     then
      echo "-a \"$fn\""
    fi
  done
fi
