set @@character_set_client = 'utf8';

delimiter //

DROP procedure IF EXISTS cleanwerteindizes//
create procedure cleanwerteindizes()
  deterministic
  sql security invoker
  begin
    create temporary table wi
      ( primary key (id) )
      select ID from werteindizes;

    create temporary table wiz (primary key(werteindizesID))
      select distinct werteindizesID from cwerte;
    delete wi from wi, wiz where wi.ID = wiz.werteindizesID;
    delete from wiz;

    insert into wiz (werteindizesID) select distinct werteindizesID from pwerte;
    delete wi from wi, wiz where wi.ID = wiz.werteindizesID;
    delete from wiz;

    insert into wiz (werteindizesID) select distinct werteindizesID from swerte;
    delete wi from wi, wiz where wi.ID = wiz.werteindizesID;
    delete from wiz;

    insert into wiz (werteindizesID) select distinct werteindizesID from zwerte;
    delete wi from wi, wiz where wi.ID = wiz.werteindizesID;
    delete from wiz;

    insert into wiz (werteindizesID) select distinct werteindizesID from bwerte;
    insert into wiz (werteindizesID) select distinct werteindizesID from twerte;
    delete wi from wi, wiz where wi.ID = wiz.werteindizesID;

    delete werteindizes from werteindizes, wi where wi.ID = werteindizes.ID;
    drop temporary table wi, wiz;

    create temporary table s (key s(serverID, accessID))
      select distinct serverID, accessID
      from werteindizes;
    delete serverdates from serverdates
      left join s using(serverID, accessID)
      where s.serverID is NULL;
    drop temporary table s;

    create temporary table s (key s(serverID, sectionID, accessID))
      select distinct serverID, sectionID, accessID
      from werteindizes;
    delete sectiondates from sectiondates
      left join s using(serverID, sectionID, accessID)
      where s.serverID is NULL;
    drop temporary table s;

    create temporary table s (key s(serverID, sectionID, teststepID, accessID))
      select distinct serverID, sectionID, teststepID, accessID
      from werteindizes;
    delete teststepdates from teststepdates
      left join s using(serverID, sectionID, teststepID, accessID)
      where s.serverID is NULL;
    drop temporary table s;

  end//

GRANT EXECUTE on PROCEDURE cleanwerteindizes to loggingadmin@'localhost'//
