set @@character_set_client = 'utf8';

delimiter //


DROP procedure IF EXISTS inswdates//
create procedure inswdates()

  deterministic
  sql security invoker
  begin
    declare wid, z integer;
    declare dt date;
    declare sid, sec, tst, aid, did integer;
    declare wertezeitencur cursor for
      select wz.werteindizesID, wz.serverID, wz.sectionID, wz.teststepID, wz.accessID, wz.teststepdetailsID, wz.datum
      from wertezeiten as wz
      left join wertedates as wd
        on wd.werteindizesID = wz.werteindizesID
          and wd.fdate <= wz.datum and wz.datum <= wd.ldate
      where wd.werteindizesID is NULL
      order by wz.werteindizesID, datum;
    declare continue handler for not found set z = 1;

    set z = 0;
    open wertezeitencur;
    fetch wertezeitencur into wid, sid, sec, tst, aid, did, dt;
    while z = 0 do
      call wzeiten(wid, sid, sec, tst, did, aid, dt);
      set z = 0;
      fetch wertezeitencur into wid, sid, sec, tst, aid, did, dt;
    end while;
      
end//

call inswdates()//


delimiter ;

drop table wertezeiten;
drop table teststepzeiten;
drop table sectionzeiten;
drop table serverzeiten;
