set @@character_set_client = 'utf8';

alter table reports
  add `TS` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;

alter table reportautodets
  add `TS` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;

update reportdets set ausgabenID = 0 where wids != '' OR lwids != '' OR kwids != '';

alter table reportdets
  modify `separation` varchar(1000) NOT NULL DEFAULT '',
  drop `wids`,
  drop `lwids`,
  drop `kwids`,
  add `groups` varchar(1000) NOT NULL DEFAULT '',
  add `groups_v` varchar(300) NOT NULL DEFAULT '',
  add `verfahren` varchar(2000) NOT NULL DEFAULT '',
  add `verfahren_v` varchar(500) NOT NULL DEFAULT '',
  add `classes` varchar(100) NOT NULL DEFAULT '',
  add `classes_v` varchar(50) NOT NULL DEFAULT '',
  add `server` varchar(2000) NOT NULL DEFAULT '',
  add `server_v` varchar(500) NOT NULL DEFAULT '',
  add `section` varchar(2000) NOT NULL DEFAULT '',
  add `section_v` varchar(500) NOT NULL DEFAULT '',
  add `teststep` varchar(2000) NOT NULL DEFAULT '',
  add `teststep_v` varchar(500) NOT NULL DEFAULT '',
  add `details` varchar(2000) NOT NULL DEFAULT '',
  add `details_v` varchar(500) NOT NULL DEFAULT '',
  add `einheit` varchar(300) NOT NULL DEFAULT '',
  add `einheit_v` varchar(200) NOT NULL DEFAULT '',
  add `regexpflag` enum('0','1') NOT NULL DEFAULT '0',
  add `separateby` set('domain','server','section','teststep','detail','group','class') NOT NULL DEFAULT '',
  add `lflag` set('o','h','d','w','m','s') NOT NULL DEFAULT 'o',
  add `TS` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP;

update reportdets as t join reportautodets as s using (ID) set
  t.groups = s.groups, t.groups_v = s.groups_v,
  t.verfahren = s.verfahren, t.verfahren_v = s.verfahren_v,
  t.classes = s.classes, t.classes_v = s.classes_v,
  t.server = s.server, t.server_v = s.server_v,
  t.section = s.section, t.section_v = s.section_v,
  t.teststep = s.teststep, t.teststep_v = s.teststep_v,
  t.details = s.details, t.details_v = s.details_v,
  t.einheit = s.einheit, t.einheit_v = s.einheit_v,
  t.regexpflag = s.regexpflag, t.separateby = s.separateby,
  t.lflag = s.lflag, t.TS = s.TS;
