#!/bin/bash
#
# enable_sso.sh
#
# Webserver fuer SSO ueber Reverse Proxy auf Port 11974 einrichten
#
###################################################################
#
ULSHOME=$(sed -n 's/U2WHOME=//p' /etc/unix2web/uls.conf)
#
if [[ -z "$ULSHOME" ]]
 then
  echo "Error: ULSHOME not found in /etc/unix2web/uls.conf"
  exit 1
fi
#
sed "s|\\(U2WHOME=.*\\)|\\1/ulssso|;s/^U2WPORT=.*/U2WPORT=11974/;s| -o | -op ${ULSHOME%html}ssohosts.lst |;s/ -V / /;s/ -sh [^ ]*//;s/ -r [^ ]*//" /etc/unix2web/uls.conf >/etc/unix2web/uls_sso.conf
#
echo "Bitte in ${ULSHOME%html}ssohosts.lst die IP-Adresse zur IP-Adresse des ReverseProxyServers aendern."
echo "Anschließend den Webserver starten: /etc/init.d/unix2web start"
echo "Auf dem Reverse Proxy muss folgendes eingetragen werden:"
echo "http://$(hostname -f):11974/"
echo "Bzw. mit der IP-Adresse"
