set @@character_set_client = 'utf8';

delimiter //

DROP procedure IF EXISTS cleanwerteindizes//
create procedure cleanwerteindizes()
  deterministic
  sql security invoker
  begin
    create temporary table wi
      ( primary key (id) )
      select ID from werteindizes;

    select now() as 'create temporary table wiz';

    create temporary table wiz (primary key(werteindizesID))
      select distinct werteindizesID from wertedates;
    delete wi from wi join wiz on wi.ID = wiz.werteindizesID;
    delete from wiz;
    insert into wiz (werteindizesID)
      select distinct werteindizesID from wi join bwerte on wi.ID = bwerte.werteindizesID;
    delete wi from wi join wiz on wi.ID = wiz.werteindizesID;
    delete from wiz;

    select now() as 'insert from cwerte';
    insert into wiz (werteindizesID)
      select distinct werteindizesID from wi join cwerte on wi.ID = cwerte.werteindizesID;
    delete wi from wi join wiz on wi.ID = wiz.werteindizesID;
    delete from wiz;

    select now() as 'insert from pwerte';
    insert into wiz (werteindizesID)
      select distinct werteindizesID from wi join pwerte on wi.ID = pwerte.werteindizesID;
    delete wi from wi join wiz on wi.ID = wiz.werteindizesID;
    delete from wiz;

    select now() as 'insert from swerte';
    insert into wiz (werteindizesID)
      select distinct werteindizesID from wi join swerte on wi.ID = swerte.werteindizesID;
    delete wi from wi join wiz on wi.ID = wiz.werteindizesID;
    delete from wiz;

    select now() as 'insert from twerte';
    insert into wiz (werteindizesID)
      select distinct werteindizesID from wi join twerte on wi.ID = twerte.werteindizesID;
    delete wi from wi join wiz on wi.ID = wiz.werteindizesID;
    delete from wiz;

    select now() as 'insert from zwerte';
    insert into wiz (werteindizesID)
      select distinct werteindizesID from wi join zwerte on wi.ID = zwerte.werteindizesID;
    delete wi from wi join wiz on wi.ID = wiz.werteindizesID;
    delete from wiz;

    select now() as 'delete werteindizes from werteindizes, wi';

    delete werteindizes from werteindizes, wi where wi.ID = werteindizes.ID;
    drop temporary table wi, wiz;

    select now() as 'delete serverdates';

    create temporary table s (key s(serverID, accessID))
      select distinct serverID, accessID
      from werteindizes;
    delete serverdates from serverdates
      left join s using(serverID, accessID)
      where s.serverID is NULL;
    drop temporary table s;

    select now() as 'delete sectiondates';

    create temporary table s (key s(serverID, sectionID, accessID))
      select distinct serverID, sectionID, accessID
      from werteindizes;
    delete sectiondates from sectiondates
      left join s using(serverID, sectionID, accessID)
      where s.serverID is NULL;
    drop temporary table s;

    select now() as 'delete teststepdates';

    create temporary table s (key s(serverID, sectionID, teststepID, accessID))
      select distinct serverID, sectionID, teststepID, accessID
      from werteindizes;
    delete teststepdates from teststepdates
      left join s using(serverID, sectionID, teststepID, accessID)
      where s.serverID is NULL;
    drop temporary table s;

  end//

GRANT EXECUTE on PROCEDURE cleanwerteindizes to loggingadmin@'localhost'//
