set @@character_set_client = 'utf8';

create table limgrpstat (
  limitgroupID int unsigned not null default '0',
  TS datetime not null default '0000-00-00 00:00:00',
  workerid int unsigned not null default '0',
  primary key(limitgroupID)
);

create table limgrpstats (
  limitgroupID int unsigned not null default '0',
  verfahrenID int unsigned not null default '0',
  classID int unsigned not null default '0',
  level tinyint unsigned not null default '0',
  lasttestdate datetime not null default '0000-00-00 00:00:00',
  TS datetime not null default '0000-00-00 00:00:00',
  primary key(limitgroupID, verfahrenID, classID)
);

create table limgrpelemstats (
  limitgroupID int unsigned not null default '0',
  limgrpelemID int unsigned not null default '0',
  verfahrenID int unsigned not null default '0',
  classID int unsigned not null default '0',
  level tinyint unsigned not null default '0',
  lasttestdate datetime not null default '0000-00-00 00:00:00',
  TS datetime not null default '0000-00-00 00:00:00',
  primary key(limitgroupID, limgrpelemID, verfahrenID, classID)
);


GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`limgrpstat` TO 'logginglesen'@'localhost';
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`limgrpstats` TO 'logginglesen'@'localhost';
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`limgrpelemstats` TO 'logginglesen'@'localhost';
