set @@character_set_client = 'utf8';

alter table gruppen
  add masterflag tinyint unsigned not null default '0' after description;


create table masterslavegroups (
  `mastergroupID` int unsigned NOT NULL DEFAULT '0',
  `slavegroupID` int unsigned NOT NULL DEFAULT '0',
  infodestID int unsigned NOT NULL DEFAULT '0',
  warndestID int unsigned NOT NULL DEFAULT '0',
  errordestID int unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`mastergroupID`,`slavegroupID`),
  key `slavegroupID`(`slavegroupID`,`mastergroupID`)
);

alter table wertelimits
  add slavegroupID int unsigned NULL DEFAULT NULL after groupautoID;

alter table isalive
  add slavegroupID int unsigned NULL DEFAULT NULL after groupautoID;

alter table kombilimits
  add slavegroupID int unsigned NULL DEFAULT NULL after groupautoID;

alter table lwertelimits
  add slavegroupID int unsigned NULL DEFAULT NULL after groupautoID;

alter table komprimierungids
  add slavegroupID int unsigned NULL DEFAULT NULL after groupautoID;

GRANT SELECT, INSERT, UPDATE, DELETE, CREATE TEMPORARY TABLES ON `loggingtmp`.* TO 'wwwuls'@'localhost';
GRANT SELECT, INSERT, UPDATE, DELETE, CREATE TEMPORARY TABLES ON `loggingtmp`.* TO 'logging'@'localhost';
GRANT SELECT, INSERT, UPDATE, DELETE ON `logging`.`masterslavegroups` TO 'logginglesen'@'localhost';
GRANT SELECT ON `logging`.`masterslavegroups` TO 'loggingtest'@'localhost';
