set @@character_set_client = 'utf8';

delimiter //

DROP procedure IF EXISTS getunitt//
create procedure getunitt(nn varchar(100), out ei integer, out wt varchar(10))
  deterministic
  sql security invoker
 begin
  declare u varbinary(100);
  if nn = '' then
    set u = ' ';
  else
    set u = trim(nn);
  end if;
  set ei = NULL;
  select ID, wtab from einheiten where bname = u into ei, wt;
  if ei is NULL
   then
    select ID, wtab from einheiten where bname = ' ' into ei, wt;
  end if;

end//

GRANT EXECUTE on PROCEDURE getunitt to logging@'localhost'//
