set @@character_set_client = 'utf8';

delimiter //

DROP procedure IF EXISTS neweh//
create procedure neweh(nn varchar(100), out ei integer)
  deterministic
  sql security invoker
 begin
  declare u varbinary(100);
  if nn = '' then
    set u = ' ';
  else
    set u = trim(nn);
  end if;
  set ei = (select ID from einheiten where bname = u);
  if ei is NULL then
    insert ignore into einheiten set bname = u, name = u;
    select ID from einheiten where bname = u into ei;
  end if;
end//

GRANT EXECUTE on PROCEDURE neweh to logging@'localhost',logginglesen@'localhost'//
