set @@character_set_client = 'utf8';

delimiter //
DROP FUNCTION IF EXISTS predictionb//
create function predictionb(wid integer, dt datetime, hback integer, hforw integer) returns varchar(50)
  deterministic
  sql security invoker
  begin
    declare wt varchar(30);
    select wtab from werteindizes join teststepdetails on teststepdetails.ID = teststepdetailsID
    join einheiten on einheiten.ID = einheitID
      where werteindizes.ID = wid
      into wt;
    case wt
      when 'cwerte' then return predictioncb(wid, dt, hback, hforw);
      when 'pwerte' then return predictionpb(wid, dt, hback, hforw);
      else               return predictionzb(wid, dt, hback, hforw);
    end case;
  end//
