set @@character_set_client = 'utf8';

delimiter //

DROP procedure IF EXISTS storeblob//
create procedure storeblob(OUT nd bigint unsigned)
  deterministic
  sql security invoker
 begin

  declare b5 varchar(32);

  set b5 = md5(@b);

  set nd = (select ID from daten where md5sum = b5 and daten = @b order by ID limit 1);
  if nd is NULL then
    insert into daten set md5sum = b5, daten = @b;
    set nd = last_insert_id();
  end if;

end//

GRANT EXECUTE on PROCEDURE storeblob to logging@'localhost'//
