set @@character_set_client = 'utf8';

delete from clientsuspensions
  where if(mdaystart < 0, 32 + mdaystart, mdaystart)
        > if(mdayend < 0, 32 + mdayend, mdayend)
    OR mdayend = 0;

update clientsuspensions
  set mdays = setrange(concat(mdaystart, '-', mdayend), 1, 31)
  where mdaystart >= 0 AND mdayend > 0 AND (mdaystart > 1 OR mdayend < 31)
    AND mdays = '';

update clientsuspensions
  set mdays = setrange(concat(if(mdaystart < 0, 32 + mdaystart, mdaystart),
                              '-', if(mdayend < 0, 32 + mdayend, mdayend)), 1, 31)
  where (mdaystart < 0 OR mdayend < 0) AND (mdaystart != 1 OR mdayend != 32)
    AND mdays = '';

alter table clientsuspensions
  drop mdaystart,
  drop mdayend;
